Create A Community Group Leader Note
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"body": "Follow up about volunteering at the next gathering."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Follow up about volunteering at the next gathering.')})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes"
payload = { "body": "Follow up about volunteering at the next gathering." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"note": {
"id": 181,
"client_id": 12,
"community_group_id": 42,
"author_member_id": 301,
"member_id": 308,
"body": "Follow up about volunteering at the next gathering.",
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 301,
"name": "Taylor K."
},
"member": {
"id": 308,
"name": "Jordan A."
}
}
}
}Community Groups
Create A Community Group Leader Note
Creates a private group leader note, optionally associated with an active group member.
POST
/
v1
/
community-groups
/
{groupId}
/
leader-notes
Create A Community Group Leader Note
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"body": "Follow up about volunteering at the next gathering."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Follow up about volunteering at the next gathering.')})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/leader-notes"
payload = { "body": "Follow up about volunteering at the next gathering." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"note": {
"id": 181,
"client_id": 12,
"community_group_id": 42,
"author_member_id": 301,
"member_id": 308,
"body": "Follow up about volunteering at the next gathering.",
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 301,
"name": "Taylor K."
},
"member": {
"id": 308,
"name": "Jordan A."
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Body
application/json
Response
Leader note created.
The response is of type object.
Was this page helpful?